Aktualisierungen für opsi 4.1 Stable & Testing

Neuigkeiten und Ankündigungen
Benutzeravatar
r.roeder
uib-Team
Beiträge: 460
Registriert: 02 Jul 2008, 10:08

Re: Aktualisierungen für opsi 4.1 Stable & Testing

Beitragvon r.roeder » 09 Jun 2019, 21:38

wenn man keinen Client ausgewählt hat, wird eine Verbindungen zu allen Clients (unabhängig vom Depot) versucht und das Ergebnis angezeigt.
opsi support - uib gmbh
For productive opsi installations we recommend maintainance + support contracts which are the base of opsi development.


Wondering who's using opsi? Have a look at the opsi map: http://opsi.org/opsi-map/.

SirTux
Beiträge: 301
Registriert: 05 Feb 2011, 18:37

Re: Aktualisierungen für opsi 4.1 Stable & Testing

Beitragvon SirTux » 21 Sep 2019, 18:12

SirTux hat geschrieben:
l-desktop 4.1.0.5-1 ; stable ; urgency=low

* Debian / Ubuntu: myspell has been replaced by hunspell.

-- Niko Wenselowski <n.wenselowski@uib.de> Wed, 11 Apr 2019 18:22:25 +0100


Schön, aber das Paket heißt hunspell-de-de und nicht hunspell-de ;)

Code: Alles auswählen

(639)     [5] [Jun 06 13:40:18:624] [l-desktop]   Execution of: ShellInAnIcon_desktop_localization_libreoffice_debuntu
(640)     [7] [Jun 06 13:40:18:624] [l-desktop]     Save to file with encoding: system
(641)     [7] [Jun 06 13:40:18:625] [l-desktop]     Executing /bin/bash /tmp/_opsiscript_Kk30Zz32.cmd
(642)     [6] [Jun 06 13:40:20:139] [l-desktop]     ExitCode 100
(643)     [7] [Jun 06 13:40:20:139] [l-desktop]             
(644)     [7] [Jun 06 13:40:20:139] [l-desktop]             output:
(645)     [7] [Jun 06 13:40:20:139] [l-desktop]             --------------
(646)     [7] [Jun 06 13:40:20:139] [l-desktop]             + export PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin
(647)     [7] [Jun 06 13:40:20:139] [l-desktop]             + PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin
(648)     [7] [Jun 06 13:40:20:139] [l-desktop]             + export DEBIAN_FRONTEND=noninteractive
(649)     [7] [Jun 06 13:40:20:139] [l-desktop]             + DEBIAN_FRONTEND=noninteractive
(650)     [7] [Jun 06 13:40:20:139] [l-desktop]             + apt-get --yes --force-yes install libreoffice-l10n-de libreoffice-help-de mythes-de hyphen-de hunspell-de
(651)     [7] [Jun 06 13:40:20:139] [l-desktop]             Paketlisten werden gelesen...
(652)     [7] [Jun 06 13:40:20:139] [l-desktop]             Abhängigkeitsbaum wird aufgebaut....
(653)     [7] [Jun 06 13:40:20:139] [l-desktop]             Statusinformationen werden eingelesen....
(654)     [7] [Jun 06 13:40:20:139] [l-desktop]             W: --force-yes ist veraltet, verwenden Sie stattdessen eine der Optionen, die mit --allow beginnen.
(655)     [7] [Jun 06 13:40:20:140] [l-desktop]             E: Paket hunspell-de kann nicht gefunden werden.
(656)     [7] [Jun 06 13:40:20:140] [l-desktop]             + exit 100
(657)     [7] [Jun 06 13:40:20:140] [l-desktop]     
(658)     [7] [Jun 06 13:40:20:141] [l-desktop]     The file: /tmp/_opsiscript_Kk30Zz32.cmd has been deleted
(659)     [6] [Jun 06 13:40:20:141] [l-desktop]       Search "/tmp/"
(660)     [6] [Jun 06 13:40:20:141] [l-desktop]       Search "/tmp/_opsiscript_*"
(661)     [6] [Jun 06 13:40:20:142] [l-desktop]     If
(662)     [7] [Jun 06 13:40:20:142] [l-desktop]     "0" = getLastExitCode   <<< result false
(663)     [6] [Jun 06 13:40:20:142] [l-desktop]     not("0" = getLastExitCode)   <<< result true
(664)     [6] [Jun 06 13:40:20:143] [l-desktop]   Then
(665)     [5] [Jun 06 13:40:20:146] [l-desktop]     message failed to install libreoffice localization packages
(666)     [2] [Jun 06 13:40:20:157] [l-desktop]     Error level set to fatal



Ist leider noch nicht gefixt ...

Benutzeravatar
n.wenselowski
uib-Team
Beiträge: 3195
Registriert: 04 Apr 2013, 12:15

Re: Aktualisierungen für opsi 4.1 Stable & Testing

Beitragvon n.wenselowski » 26 Sep 2019, 13:44

Hi SirTux,

ich könnte schwören das war anders...

Wie auch immer: Erol hat ne neue Version gebaut, die jetzt in experimental liegt.
Klappt es bei dir mit der?


Viele Grüße

Niko

Code: Alles auswählen

import OPSI

SirTux
Beiträge: 301
Registriert: 05 Feb 2011, 18:37

Re: Aktualisierungen für opsi 4.1 Stable & Testing

Beitragvon SirTux » 28 Sep 2019, 17:58

Hi Niko,

ja jetzt ist es tatsächlich zu viel des Guten:

Code: Alles auswählen

output:
(766)     [7] [Sep 27 17:35:06:715] [l-desktop]             --------------
(767)     [7] [Sep 27 17:35:06:715] [l-desktop]             + export PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin
(768)     [7] [Sep 27 17:35:06:715] [l-desktop]             + PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin
(769)     [7] [Sep 27 17:35:06:715] [l-desktop]             + export DEBIAN_FRONTEND=noninteractive
(770)     [7] [Sep 27 17:35:06:715] [l-desktop]             + DEBIAN_FRONTEND=noninteractive
(771)     [7] [Sep 27 17:35:06:715] [l-desktop]             + apt-get --yes --force-yes install libreoffice-l10n-de libreoffice-help-de mythes-de hyphen-de hunspell-de-de-de-de
(772)     [7] [Sep 27 17:35:06:715] [l-desktop]             Paketlisten werden gelesen...
(773)     [7] [Sep 27 17:35:06:715] [l-desktop]             Abhängigkeitsbaum wird aufgebaut....
(774)     [7] [Sep 27 17:35:06:715] [l-desktop]             Statusinformationen werden eingelesen....
(775)     [7] [Sep 27 17:35:06:715] [l-desktop]             W: --force-yes ist veraltet, verwenden Sie stattdessen eine der Optionen, die mit --allow beginnen.
(776)     [7] [Sep 27 17:35:06:715] [l-desktop]             E: Paket hunspell-de-de-de-de kann nicht gefunden werden.
(777)     [7] [Sep 27 17:35:06:715] [l-desktop]             + exit 100


Vielleicht war es in experimental tatsächlich schon gefixt ;)

Viele Grüße,
SirTux

SirTux
Beiträge: 301
Registriert: 05 Feb 2011, 18:37

Re: Aktualisierungen für opsi 4.1 Stable & Testing

Beitragvon SirTux » 29 Sep 2019, 10:15

Mit dem Code funktionierts:

Code: Alles auswählen

[ShellInAnIcon_desktop_localization_libreoffice_debuntu]
set -x
export PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin
export DEBIAN_FRONTEND=noninteractive
apt-get --yes --force-yes install libreoffice-l10n-$libreofficeLang$ libreoffice-help-$libreofficeLang$ mythes-$libreofficeLang$ hyphen-$libreofficeLang$ hunspell-$libreofficeLangLang$


Sorry falls ihr das vorher schon so hattet ;)

Benutzeravatar
m.radtke
uib-Team
Beiträge: 785
Registriert: 10 Jun 2015, 12:19

Re: Aktualisierungen für opsi 4.1 Stable & Testing

Beitragvon m.radtke » 30 Sep 2019, 09:25

So jetzt nun in experimental

Gruß
Mathias
Kein Support per DM!
_________________________
opsi support - http://www.uib.de/
For productive opsi installations we recommend support contracts.

SirTux
Beiträge: 301
Registriert: 05 Feb 2011, 18:37

Re: Aktualisierungen für opsi 4.1 Stable & Testing

Beitragvon SirTux » 01 Okt 2019, 18:02

Funktioniert :)

Benutzeravatar
m.radtke
uib-Team
Beiträge: 785
Registriert: 10 Jun 2015, 12:19

Re: Aktualisierungen für opsi 4.1 Stable & Testing

Beitragvon m.radtke » 01 Okt 2019, 20:14

Danke fürs Feedback

Gruß
Mathias
Kein Support per DM!
_________________________
opsi support - http://www.uib.de/
For productive opsi installations we recommend support contracts.

Dekay
Beiträge: 29
Registriert: 04 Apr 2019, 15:20

Re: Aktualisierungen für opsi 4.1 Stable & Testing

Beitragvon Dekay » 08 Okt 2019, 09:59

Kann man mittlerweile den Opsi-Server auf einem Debian 10 Server installieren ? :)

SirTux
Beiträge: 301
Registriert: 05 Feb 2011, 18:37

Re: Aktualisierungen für opsi 4.1 Stable & Testing

Beitragvon SirTux » 08 Okt 2019, 10:05

Der Support ist aktuell nur bis nach Testing gelandet:
http://download.opensuse.org/repositori ... Debian_10/